Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class InterMediaSource

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.PublicObject
                  oracle.ifs.beans.TiePublicObject
                      oracle.ifs.beans.Category
                          oracle.ifs.beans.TieCategory
                              oracle.ifs.beans.InterMediaSource

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  TieInterMediaSource

    public class InterMediaSource

extends TieCategory

InterMediaSource subclass. This Category subclass is meant to represent meta data extracted from a multi media file. This class is the superclass to all other InterMedia categories classes.

(Published)

Field Summary
`static java.lang.String` | `CLASS_NAME` This class name for this class.
`static java.lang.String` | `MEDIAAUTHORINGTOOL_ATTRIBUTE` Name of the MediaAuthoringTool Attribute
`static java.lang.String` | `MEDIABITRATE_ATTRIBUTE` Name of the MediaBitRate Attribute
`static java.lang.String` | `MEDIACATEGORY_ATTRIBUTE` Name of the MediaCategory Attribute
`static java.lang.String` | `MEDIACONTENTDATE_ATTRIBUTE` Name of the MediaContentDate Attribute
`static java.lang.String` | `MEDIACOPYRIGHT_ATTRIBUTE` Name of the MediaCopyright Attribute
`static java.lang.String` | `MEDIACREATIONTIME_ATTRIBUTE` Name of the MediaCreationTime Attribute
`static java.lang.String` | `MEDIACREDITS_ATTRIBUTE` Name of the MediaCredits Attribute
`static java.lang.String` | `MEDIADESCRIPTION_ATTRIBUTE` Name of the MediaDescription Attribute
`static java.lang.String` | `MEDIADURATION_ATTRIBUTE` Name of the MediaDuration Attribute
`static java.lang.String` | `MEDIAFORMATENCODING_ATTRIBUTE` Name of the MediaFormatEncoding Attribute
`static java.lang.String` | `MEDIAFORMATENCODINGCODE_ATTRIBUTE` Name of the MediaFormatEncodingCode Attribute
`static java.lang.String` | `MEDIAINFORMATION_ATTRIBUTE` Name of the MediaInformation Attribute
`static java.lang.String` | `MEDIALANGUAGE_ATTRIBUTE` Name of the MediaLanguage Attribute
`static java.lang.String` | `MEDIAMODIFICATIONTIME_ATTRIBUTE` Name of the MediaModificationTime Attribute
`static java.lang.String` | `MEDIAPRODUCER_ATTRIBUTE` Name of the MediaProducer Attribute
`static java.lang.String` | `MEDIASIZE_ATTRIBUTE` Name of the MediaSize Attribute
`static java.lang.String` | `MEDIASOURCEDIRECTORY_ATTRIBUTE` Name of the MediaSourceDirectory Attribute
`static java.lang.String` | `MEDIASOURCEFILEFORMAT_ATTRIBUTE` Name of the MediaSourceFileFormat Attribute
`static java.lang.String` | `MEDIASOURCEFILEFORMATCODE_ATTRIBUTE` Name of the MediaSourceFileFormatCode Attribute
`static java.lang.String` | `MEDIASOURCEFILENAME_ATTRIBUTE` Name of the MediaSourceFilename Attribute
`static java.lang.String` | `MEDIASOURCEMIMETYPE_ATTRIBUTE` Name of the MediaSourceMimeType Attribute
`static java.lang.String` | `MEDIASOURCEPROTOCOL_ATTRIBUTE` Name of the MediaSourceProtocol Attribute
`static java.lang.String` | `MEDIASOURCESTREAMABLE_ATTRIBUTE` Name of the MediaSourceStreamable Attribute
`static java.lang.String` | `MEDIASOURCEURL_ATTRIBUTE` Name of the MediaSourceURL Attribute
`static java.lang.String` | `MEDIATIMESCALE_ATTRIBUTE` Name of the MediaTimeScale Attribute
`static java.lang.String` | `MEDIATITLE_ATTRIBUTE` Name of the MediaTitle Attribute
`static java.lang.String` | `MEDIATRACKID_ATTRIBUTE` Name of the MediaTrackID Attribute
`static java.lang.String` | `MEDIAUSERDATA_ATTRIBUTE` Name of the MediaUserData Attribute

Fields inherited from class oracle.ifs.beans.Category
`ASSOCIATEDPUBLICOBJECT_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.PublicObject
`ACL_ATTRIBUTE, CREATEDATE_ATTRIBUTE, CREATOR_ATTRIBUTE, DELETOR_ATTRIBUTE, DESCRIPTION_ATTRIBUTE, EXPIRATIONDATE_ATTRIBUTE, FAMILY_ATTRIBUTE, FLAG_CATEGORY_EXISTS, FLAG_CONFIGURATIONCATEGORY_EXISTS, FLAG_MARKED, FLAG_NOINFERIOR, FLAG_NOSELECT, FLAG_NTFS_ARCHIVE, FLAG_NTFS_HIDDEN, FLAG_NTFS_READONLY, FLAG_NTFS_SYSTEM, FLAG_UNMARKED, FLAGS_ATTRIBUTE, LASTMODIFIER_ATTRIBUTE, LASTMODIFYDATE_ATTRIBUTE, LOCKENTRIES_ATTRIBUTE, LOCKOBJECT_ATTRIBUTE, NAME_ATTRIBUTE, OWNER_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PRIMARYPARENTFOLDER_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE, RESOLVEDPUBLICOBJECT_ATTRIBUTE, SECURINGPUBLICOBJECT_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `InterMediaSource(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Constructs a InterMediaSource object - standard variant.

Method Summary
`java.lang.String` | `getMediaAuthoringTool()` returns the AuthoringTool used to create content
`java.lang.Long` | `getMediaBitRate()` returns the Bitrate of the media in bits per second
`java.lang.String` | `getMediaCategory()` returns the Category (genre) of the media
`java.lang.String` | `getMediaContentDate()` returns the Content Date of the media
`java.lang.String` | `getMediaCopyright()` returns the Copyright Information of the media
`java.util.Date` | `getMediaCreationTime()` returns the Creation Time of the media
`java.lang.String` | `getMediaCredits()` returns The Credits for those who provided the content.
`java.lang.String` | `getMediaDescription()` returns the Description of the media
`java.lang.String` | `getMediaDuration()` returns the Duration of the media
`java.lang.String` | `getMediaFormatEncoding()` returns the Long format of the media encoding
`java.lang.String` | `getMediaFormatEncodingCode()` returns the Short format of the media encoding (four chars)
`java.lang.String` | `getMediaFormatUserData()` returns Misc User Data of the media
`java.lang.String` | `getMediaInformation()` returns the Information of the media
`java.lang.String` | `getMediaLanguage()` returns the Language of the media (may not be the language of a text track)
`java.util.Date` | `getMediaModificationTime()` returns the Modification Time of the media
`java.lang.String` | `getMediaProducer()` returns the Producer of the media
`java.lang.Long` | `getMediaSize()` returns The size of the media source in bytes
`java.lang.String` | `getMediaSourceDirectory()` returns the Source Directory of the media
`java.lang.String` | `getMediaSourceFileFormat()` returns the Source File Format of the media
`java.lang.String` | `getMediaSourceFileFormatCode()` returns the Source File Format Code of the media
`java.lang.String` | `getMediaSourceFilename()` returns the Source Filename of the media
`java.lang.String` | `getMediaSourceMimeType()` returns the Source Mime Type of the media
`java.lang.String` | `getMediaSourceProtocol()` returns the Source Protocol of the media
`java.lang.String` | `getMediaSourceStreamable()` returns the name of a streaming server for which the content is optimized, if any.
`java.lang.String` | `getMediaSourceURL()` returns the Source URL of the media
`java.lang.Double` | `getMediaTimeScale()` returns the TimeScale of the media
`java.lang.String` | `getMediaTitle()` returns the Title of the media
`java.lang.String` | `getMediaTrackID()` returns the TrackID of the media

Methods inherited from class oracle.ifs.beans.Category
`constructCategory, constructCategoryArray, constructCategoryVector, getAssociatedPublicObject, getFlagUpdatesForCreate, getFlagUpdatesForFree, moveCategory, postCreate, preFree, updateFlagsUponCreate, updateFlagsUponFree`

Methods inherited from class oracle.ifs.beans.PublicObject
`addAccess, addCategory, addFlags, addRelationship, auditPublicObjectLocked, auditPublicObjectUnlocked, canAcquireManualLock, canReleaseDavLock, canReleaseLock, canReleaseManualLock, capabilities, checkAuditViewCapability, checkCapabilities, checkCapability, checkEffectiveAccess, checkEffectiveAccess, checkLockAccess, checkVersioned, clearFlags, constructPublicObject, constructPublicObjectArray, constructPublicObjectVector, copy, coreAutoFolderingEnabled, createCategories, createDedicatedPolicyPropertyBundle, delete, deriveEffectiveAccessLevel, free, getAcl, getAllFolderPaths, getAllFolderPaths, getAllFolderPaths, getAnyFolderPath, getAnyFolderPath, getAnyFolderPath, getCapabilities, getCategories, getCategories, getCategories, getCategories, getCategories, getCategory, getConsumedStorage, getCreateDate, getCreator, getDefaultAccessLevel, getDeletor, getDescription, getEffectiveAccessLevel, getEffectiveAccessLevel, getExpirationDate, getFamily, getFirstVersion, getFlags, getFolderReferences, getFolderReferences, getFolderReferencesSortSpecification, getLastModifier, getLastModifyDate, getLastVersion, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getLeftwardRelationshipsCount, getLeftwardRelationshipsCount, getLinks, getLockEntries, getLockEntries, getLockObject, getLockRestrictions, getLockTypeAuditProperties, getNextVersion, getOwner, getPolicyBundle, getPolicyLists, getPreviousVersion, getPrimaryFolderPath, getPrimaryParentFolder, getPrimaryParentFolder, getReservationComment, getReservationDate, getReservor, getResolvedPublicObject, getRestrictingLockEntries, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getSecuringPublicObject, getSingletonVersionDescription, getVersionNumber, getVersions, getVersionSeries, getWorkingCopy, grantAccess, handleCopy, handleCreate, handleUnlockAll, hasCategories, hasConfigurationCategories, hasNameAttribute, isDeleted, isLatestVersion, isLocked, isLockingSupported, isOwner, isReserved, isReservedByCurrentUser, isVersionable, isVersioned, isWorkingCopy, listLeftwardRelationships, listRightwardRelationships, lock, lock, lock, lock, newVersion, postCopy, postUpdate, preCopy, preCreate, preUpdate, putPolicy, reassociateLinks, removeAllPolicies, removePolicy, removePolicy, removeRelationship, reserveNext, resetFolderReferences, resolveFolderReferenceSortSpecification, revokeAccess, revokeAllAccess, setAcl, setDescription, setExpirationDate, setFlags, setFolderReferencesSortSpecification, setLockEntries, setLockEntrySecurity, setOwner, setOwnerByName, setPolicyBundle, setPolicyLists, setSecuringPublicObject, toPublicObjectArray, undelete, unlock, unlock, unlockAll, unReserve, updateFlags, updateLock, vectorPublicObjectElement, vectorToPublicObjectArray, verifyDeleteCapability, verifyLockCapability, verifyUnlockCapability, verifyVersionSeries`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, handleUpdate, hashCode, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `InterMediaSource`
  This class name for this class. Useful for methods that take a class name argument.

  See Also:
    Constant Field Values
  (Published)

### MEDIATITLE_ATTRIBUTE

    public static final java.lang.String MEDIATITLE_ATTRIBUTE

  Description copied from class: `InterMediaSource`
  Name of the MediaTitle Attribute

  See Also:
    Constant Field Values
  (Published)

### MEDIADESCRIPTION_ATTRIBUTE

    public static final java.lang.String MEDIADESCRIPTION_ATTRIBUTE

  Description copied from class: `InterMediaSource`
  Name of the MediaDescription Attribute

  See Also:
    Constant Field Values
  (Published)

### MEDIAINFORMATION_ATTRIBUTE

    public static final java.lang.String MEDIAINFORMATION_ATTRIBUTE

  Description copied from class: `InterMediaSource`
  Name of the MediaInformation Attribute

  See Also:
    Constant Field Values
  (Published)

### MEDIACOPYRIGHT_ATTRIBUTE

    public static final java.lang.String MEDIACOPYRIGHT_ATTRIBUTE

  Description copied from class: `InterMediaSource`
  Name of the MediaCopyright Attribute

  See Also:
    Constant Field Values
  (Published)

### MEDIAPRODUCER_ATTRIBUTE

    public static final java.lang.String MEDIAPRODUCER_ATTRIBUTE

  Description copied from class: `InterMediaSource`
  Name of the MediaProducer Attribute

  See Also:
    Constant Field Values
  (Published)

### MEDIADURATION_ATTRIBUTE

    public static final java.lang.String MEDIADURATION_ATTRIBUTE

  Description copied from class: `InterMediaSource`
  Name of the MediaDuration Attribute

  See Also:
    Constant Field Values
  (Published)

### MEDIATIMESCALE_ATTRIBUTE

    public static final java.lang.String MEDIATIMESCALE_ATTRIBUTE

  Description copied from class: `InterMediaSource`
  Name of the MediaTimeScale Attribute

  See Also:
    Constant Field Values
  (Published)

### MEDIATRACKID_ATTRIBUTE

    public static final java.lang.String MEDIATRACKID_ATTRIBUTE

  Description copied from class: `InterMediaSource`
  Name of the MediaTrackID Attribute

  See Also:
    Constant Field Values
  (Published)

### MEDIACONTENTDATE_ATTRIBUTE

    public static final java.lang.String MEDIACONTENTDATE_ATTRIBUTE

  Description copied from class: `InterMediaSource`
  Name of the MediaContentDate Attribute

  See Also:
    Constant Field Values
  (Published)

### MEDIACREATIONTIME_ATTRIBUTE

    public static final java.lang.String MEDIACREATIONTIME_ATTRIBUTE

  Description copied from class: `InterMediaSource`
  Name of the MediaCreationTime Attribute

  See Also:
    Constant Field Values
  (Published)

### MEDIAMODIFICATIONTIME_ATTRIBUTE

    public static final java.lang.String MEDIAMODIFICATIONTIME_ATTRIBUTE

  Description copied from class: `InterMediaSource`
  Name of the MediaModificationTime Attribute

  See Also:
    Constant Field Values
  (Published)

### MEDIACREDITS_ATTRIBUTE

    public static final java.lang.String MEDIACREDITS_ATTRIBUTE

  Description copied from class: `InterMediaSource`
  Name of the MediaCredits Attribute

  See Also:
    Constant Field Values
  (Published)

### MEDIASIZE_ATTRIBUTE

    public static final java.lang.String MEDIASIZE_ATTRIBUTE

  Description copied from class: `InterMediaSource`
  Name of the MediaSize Attribute

  See Also:
    Constant Field Values
  (Published)

### MEDIAFORMATENCODINGCODE_ATTRIBUTE

    public static final java.lang.String MEDIAFORMATENCODINGCODE_ATTRIBUTE

  Description copied from class: `InterMediaSource`
  Name of the MediaFormatEncodingCode Attribute

  See Also:
    Constant Field Values
  (Published)

### MEDIAFORMATENCODING_ATTRIBUTE

    public static final java.lang.String MEDIAFORMATENCODING_ATTRIBUTE

  Description copied from class: `InterMediaSource`
  Name of the MediaFormatEncoding Attribute

  See Also:
    Constant Field Values
  (Published)

### MEDIAUSERDATA_ATTRIBUTE

    public static final java.lang.String MEDIAUSERDATA_ATTRIBUTE

  Description copied from class: `InterMediaSource`
  Name of the MediaUserData Attribute

  See Also:
    Constant Field Values
  (Published)

### MEDIALANGUAGE_ATTRIBUTE

    public static final java.lang.String MEDIALANGUAGE_ATTRIBUTE

  Description copied from class: `InterMediaSource`
  Name of the MediaLanguage Attribute

  See Also:
    Constant Field Values
  (Published)

### MEDIABITRATE_ATTRIBUTE

    public static final java.lang.String MEDIABITRATE_ATTRIBUTE

  Description copied from class: `InterMediaSource`
  Name of the MediaBitRate Attribute

  See Also:
    Constant Field Values
  (Published)

### MEDIACATEGORY_ATTRIBUTE

    public static final java.lang.String MEDIACATEGORY_ATTRIBUTE

  Description copied from class: `InterMediaSource`
  Name of the MediaCategory Attribute

  See Also:
    Constant Field Values
  (Published)

### MEDIAAUTHORINGTOOL_ATTRIBUTE

    public static final java.lang.String MEDIAAUTHORINGTOOL_ATTRIBUTE

  Description copied from class: `InterMediaSource`
  Name of the MediaAuthoringTool Attribute

  See Also:
    Constant Field Values
  (Published)

### MEDIASOURCEURL_ATTRIBUTE

    public static final java.lang.String MEDIASOURCEURL_ATTRIBUTE

  Description copied from class: `InterMediaSource`
  Name of the MediaSourceURL Attribute

  See Also:
    Constant Field Values
  (Published)

### MEDIASOURCEPROTOCOL_ATTRIBUTE

    public static final java.lang.String MEDIASOURCEPROTOCOL_ATTRIBUTE

  Description copied from class: `InterMediaSource`
  Name of the MediaSourceProtocol Attribute

  See Also:
    Constant Field Values
  (Published)

### MEDIASOURCEMIMETYPE_ATTRIBUTE

    public static final java.lang.String MEDIASOURCEMIMETYPE_ATTRIBUTE

  Description copied from class: `InterMediaSource`
  Name of the MediaSourceMimeType Attribute

  See Also:
    Constant Field Values
  (Published)

### MEDIASOURCEDIRECTORY_ATTRIBUTE

    public static final java.lang.String MEDIASOURCEDIRECTORY_ATTRIBUTE

  Description copied from class: `InterMediaSource`
  Name of the MediaSourceDirectory Attribute

  See Also:
    Constant Field Values
  (Published)

### MEDIASOURCEFILENAME_ATTRIBUTE

    public static final java.lang.String MEDIASOURCEFILENAME_ATTRIBUTE

  Description copied from class: `InterMediaSource`
  Name of the MediaSourceFilename Attribute

  See Also:
    Constant Field Values
  (Published)

### MEDIASOURCEFILEFORMAT_ATTRIBUTE

    public static final java.lang.String MEDIASOURCEFILEFORMAT_ATTRIBUTE

  Description copied from class: `InterMediaSource`
  Name of the MediaSourceFileFormat Attribute

  See Also:
    Constant Field Values
  (Published)

### MEDIASOURCEFILEFORMATCODE_ATTRIBUTE

    public static final java.lang.String MEDIASOURCEFILEFORMATCODE_ATTRIBUTE

  Description copied from class: `InterMediaSource`
  Name of the MediaSourceFileFormatCode Attribute

  See Also:
    Constant Field Values
  (Published)

### MEDIASOURCESTREAMABLE_ATTRIBUTE

    public static final java.lang.String MEDIASOURCESTREAMABLE_ATTRIBUTE

  Description copied from class: `InterMediaSource`
  Name of the MediaSourceStreamable Attribute

  See Also:
    Constant Field Values
  (Published)

Constructor Detail

### InterMediaSource

    protected InterMediaSource(LibrarySession session,
                               java.lang.Long id,
                               java.lang.Long classId,
                               S_LibraryObjectData data)
                        throws IfsException

  Constructs a InterMediaSource object - standard variant.

  Parameters:
    `session` - current LibrarySession
    `id` - object id
    `classId` - class id
    `data` - data components
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### getMediaTitle

    public java.lang.String getMediaTitle()
                                   throws IfsException

  Description copied from class: `InterMediaSource`
  returns the Title of the media

  Returns:
    Title of the media
  Throws:
    `IfsException` - if operation fails
  (Published)

### getMediaDescription

    public java.lang.String getMediaDescription()
                                         throws IfsException

  Description copied from class: `InterMediaSource`
  returns the Description of the media

  Returns:
    Description of the media
  Throws:
    `IfsException` - if operation fails
  (Published)

### getMediaInformation

    public java.lang.String getMediaInformation()
                                         throws IfsException

  Description copied from class: `InterMediaSource`
  returns the Information of the media

  Returns:
    Information of the media
  Throws:
    `IfsException` - if operation fails
  (Published)

### getMediaCopyright

    public java.lang.String getMediaCopyright()
                                       throws IfsException

  Description copied from class: `InterMediaSource`
  returns the Copyright Information of the media

  Returns:
    Copyright Information of the media
  Throws:
    `IfsException` - if operation fails
  (Published)

### getMediaProducer

    public java.lang.String getMediaProducer()
                                      throws IfsException

  Description copied from class: `InterMediaSource`
  returns the Producer of the media

  Returns:
    Producer of the media
  Throws:
    `IfsException` - if operation fails
  (Published)

### getMediaDuration

    public java.lang.String getMediaDuration()
                                      throws IfsException

  Description copied from class: `InterMediaSource`
  returns the Duration of the media

  Returns:
    Duration of the media
  Throws:
    `IfsException` - if operation fails
  (Published)

### getMediaTimeScale

    public java.lang.Double getMediaTimeScale()
                                       throws IfsException

  Description copied from class: `InterMediaSource`
  returns the TimeScale of the media

  Returns:
    TimeScale of the media
  Throws:
    `IfsException` - if operation fails
  (Published)

### getMediaTrackID

    public java.lang.String getMediaTrackID()
                                     throws IfsException

  Description copied from class: `InterMediaSource`
  returns the TrackID of the media

  Returns:
    TrackID of the media
  Throws:
    `IfsException` - if operation fails
  (Published)

### getMediaContentDate

    public java.lang.String getMediaContentDate()
                                         throws IfsException

  Description copied from class: `InterMediaSource`
  returns the Content Date of the media

  Returns:
    Content Date of the media
  Throws:
    `IfsException` - if operation fails
  (Published)

### getMediaCreationTime

    public java.util.Date getMediaCreationTime()
                                        throws IfsException

  Description copied from class: `InterMediaSource`
  returns the Creation Time of the media

  Returns:
    Creation Time of the media
  Throws:
    `IfsException` - if operation fails
  (Published)

### getMediaModificationTime

    public java.util.Date getMediaModificationTime()
                                            throws IfsException

  Description copied from class: `InterMediaSource`
  returns the Modification Time of the media

  Returns:
    Modification Time of the media
  Throws:
    `IfsException` - if operation fails
  (Published)

### getMediaCredits

    public java.lang.String getMediaCredits()
                                     throws IfsException

  Description copied from class: `InterMediaSource`
  returns The Credits for those who provided the content.

  Returns:
    Credits for those who provided the content.
  Throws:
    `IfsException` - if operation fails
  (Published)

### getMediaSize

    public java.lang.Long getMediaSize()
                                throws IfsException

  Description copied from class: `InterMediaSource`
  returns The size of the media source in bytes

  Returns:
    size of the media source in bytes
  Throws:
    `IfsException` - if operation fails
  (Published)

### getMediaFormatEncodingCode

    public java.lang.String getMediaFormatEncodingCode()
                                                throws IfsException

  Description copied from class: `InterMediaSource`
  returns the Short format of the media encoding (four chars)

  Returns:
    Short format of the media encoding (four chars)
  Throws:
    `IfsException` - if operation fails
  (Published)

### getMediaFormatEncoding

    public java.lang.String getMediaFormatEncoding()
                                            throws IfsException

  Description copied from class: `InterMediaSource`
  returns the Long format of the media encoding

  Returns:
    Long format of the media encoding
  Throws:
    `IfsException` - if operation fails
  (Published)

### getMediaFormatUserData

    public java.lang.String getMediaFormatUserData()
                                            throws IfsException

  Description copied from class: `InterMediaSource`
  returns Misc User Data of the media

  Returns:
    Misc User Data of the media
  Throws:
    `IfsException` - if operation fails
  (Published)

### getMediaLanguage

    public java.lang.String getMediaLanguage()
                                      throws IfsException

  Description copied from class: `InterMediaSource`
  returns the Language of the media (may not be the language of a text track)

  Returns:
    Language of the media
  Throws:
    `IfsException` - if operation fails
  (Published)

### getMediaBitRate

    public java.lang.Long getMediaBitRate()
                                   throws IfsException

  Description copied from class: `InterMediaSource`
  returns the Bitrate of the media in bits per second

  Returns:
    Bitrate of the media in bits per second
  Throws:
    `IfsException` - if operation fails
  (Published)

### getMediaCategory

    public java.lang.String getMediaCategory()
                                      throws IfsException

  Description copied from class: `InterMediaSource`
  returns the Category (genre) of the media

  Returns:
    Category (genre) of the media
  Throws:
    `IfsException` - if operation fails
  (Published)

### getMediaAuthoringTool

    public java.lang.String getMediaAuthoringTool()
                                           throws IfsException

  Description copied from class: `InterMediaSource`
  returns the AuthoringTool used to create content

  Returns:
    AuthoringTool used to create content
  Throws:
    `IfsException` - if operation fails
  (Published)

### getMediaSourceURL

    public java.lang.String getMediaSourceURL()
                                       throws IfsException

  Description copied from class: `InterMediaSource`
  returns the Source URL of the media

  Returns:
    Source URL of the media
  Throws:
    `IfsException` - if operation fails
  (Published)

### getMediaSourceProtocol

    public java.lang.String getMediaSourceProtocol()
                                            throws IfsException

  Description copied from class: `InterMediaSource`
  returns the Source Protocol of the media

  Returns:
    Source Protocol of the media
  Throws:
    `IfsException` - if operation fails
  (Published)

### getMediaSourceMimeType

    public java.lang.String getMediaSourceMimeType()
                                            throws IfsException

  Description copied from class: `InterMediaSource`
  returns the Source Mime Type of the media

  Returns:
    Source Mime Type of the media
  Throws:
    `IfsException` - if operation fails
  (Published)

### getMediaSourceDirectory

    public java.lang.String getMediaSourceDirectory()
                                             throws IfsException

  Description copied from class: `InterMediaSource`
  returns the Source Directory of the media

  Returns:
    Source Directory of the media
  Throws:
    `IfsException` - if operation fails
  (Published)

### getMediaSourceFilename

    public java.lang.String getMediaSourceFilename()
                                            throws IfsException

  Description copied from class: `InterMediaSource`
  returns the Source Filename of the media

  Returns:
    Source Filename of the media
  Throws:
    `IfsException` - if operation fails
  (Published)

### getMediaSourceFileFormat

    public java.lang.String getMediaSourceFileFormat()
                                              throws IfsException

  Description copied from class: `InterMediaSource`
  returns the Source File Format of the media

  Returns:
    Source File Format of the media
  Throws:
    `IfsException` - if operation fails
  (Published)

### getMediaSourceFileFormatCode

    public java.lang.String getMediaSourceFileFormatCode()
                                                  throws IfsException

  Description copied from class: `InterMediaSource`
  returns the Source File Format Code of the media

  Returns:
    Source File Format Code of the media
  Throws:
    `IfsException` - if operation fails
  (Published)

### getMediaSourceStreamable

    public java.lang.String getMediaSourceStreamable()
                                              throws IfsException

  Description copied from class: `InterMediaSource`
  returns the name of a streaming server for which the content is optimized, if any.

  Returns:
    the name of a streaming server for which the content is optimized, if any.
  Throws:
    `IfsException` - if operation fails
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD